import PropTypes from 'prop-types';
import { FONT_SIZES, getClass, TYPES } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var AtomLabel = function AtomLabel(_ref) {
  var name = _ref.name,
      inline = _ref.inline,
      text = _ref.text,
      optionalText = _ref.optionalText,
      type = _ref.type,
      fontSize = _ref.fontSize,
      onClick = _ref.onClick;
  return /*#__PURE__*/_jsxs("label", {
    htmlFor: name,
    className: getClass({
      type: type,
      inline: inline,
      fontSize: fontSize
    }),
    onClick: onClick,
    children: [text, optionalText && /*#__PURE__*/_jsx("span", {
      className: "sui-AtomLabel-optionalText",
      children: optionalText
    })]
  });
};

AtomLabel.displayName = 'AtomLabel';
export default AtomLabel;
export { TYPES as AtomLabelTypes };
export { FONT_SIZES as AtomLabelFontSizes };